---

rpm_root_dir: /opt/rpm-build
rpm_packager: RPM Builder <rpms@{{ ansible_domain }}>
# User account under which the buildsys will run
# will be created
rpm_user: rpmbuilder
# Unix group allowed to submit builds
rpm_build_group: rpmbuilders
# name of the GPG key used to sign the packages
rpm_gpg_name: RPM Signing Key
rpm_gpg_email: rpms@{{ ansible_domain }}
# optional passphrase for the GPG Key
# rpm_gpg_pass: S3cr3tP@ssPhr4z

# You can configure remote mirrors to which the local repo will be synced with rsync
# rpm_mirrors:
#   - dest: repo@repo.example.org:/opt/repo/rpms/
#     rsync_opts:
#       - '--times'
#       - '--recursive'
#       - '--partial'
#       - '--delete-after'
#       - '--exclude=archives'
#     # You can also set a custom command to handle the sync
#     - dest: mirror-1
#       sync_cmd: >
#         rclone
#           sync
#           --sftp-host=10.99.9.10
#           --sftp-port=3022
#           --sftp-user=repo
#           --sftp-key-file=~/.ssh/id_rsa
#           --sftp-md5sum-command=md5sum
#           --sftp-sha1sum-command=sha1sum
#           /opt/rpm-build/repo/ :sftp:/repo/

# A list of rsync options which will be used to sync repo to mirrors
# This is a fallback if rsync_opts is not defined for a mirror
rpm_mirror_rsync_opts:
  - '--times'
  - '--recursive'
  - '--partial'
  - '--delete-after'

# You can use an LDAP server to lookup email address of build
# submitters. The buildsys will first get the username of the uploaded SRPM
# and then lookup into LDAP as configured here for the corresponding email address
# If an email if found, notifications will be sent to the submitter's address
rpm_ldap_servers: "{{ ad_ldap_servers is defined | ternary(ad_ldap_servers | map('regex_replace', '^(.*)', 'ldap://\\1') | list, []) }}"
rpm_ldap_start_tls: True
# rpm_ldap_bind_dn: CN=Build System,OU=Apps,DC=foo,DC=bar
# rpm_ldap_bind_pass: S3cr3t.
rpm_ldap_search_base: "{{ ad_ldap_user_search_base is defined | ternary(ad_ldap_user_search_base, ansible_domain | regex_replace('\\.', ',DC=')) }}"
# The {user} string will be replaced with the username of the submiter of the build
rpm_ldap_search_filter: (&(objectClass=user)(userPrincipalName={user})(mail=*))
rpm_ldap_email_attr: mail
